# $Revision: 1.12.2.2 $, $Date: 2007/03/12 20:55:44 $
%define		_rc	rc4
Summary:	Geometry Engine - Open Source
Summary(pl):	GEOS - silnik geometryczny z otwartymi rdami
Name:		geos
Version:	3.0.0
Release:	0.%{_rc}.1
License:	LGPL
Group:		Libraries
Source0:	http://geos.refractions.net/%{name}-%{version}%{_rc}.tar.bz2
# Source0-md5:	90d4dba51dd75f8f1f12378e0f910d76
URL:		http://geos.refractions.net/
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	ruby-devel
BuildRequires:	swig-python >= 1.3.29
BuildRequires:	swig-ruby >= 1.3.29
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GEOS (Geometry Engine - Open Source) is a C++ port of the Java
Topology Suite (JTS). As such, it aims to contain the complete
functionality of JTS in C++. This includes all the OpenGIS "Simple
Features for SQL" spatial predicate functions and spatial operators,
as well as specific JTS topology functions such as IsValid().

%description -l pl
GEOS (Geometry Engine - Open Source, czyli silnik geometryczny z
otwartymi rdami) to port C++ biblioteki Java Topology Suite (JTS).
Celem biblioteki jako takiej jest implementacja penej funkcjonalnoci
JTS w C++. Obejmuje to wszystkie funkcje predykatw przestrzennych
wg "Simple Features for SQL" OpenGIS oraz operatory przestrzenne, a
take specyficzne dla JTS funkcje topologiczne takie jak IsValid().

%package devel
Summary:	Header files for GEOS library
Summary(pl):	Pliki nagwkowe biblioteki GEOS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for GEOS library.

%description devel -l pl
Pliki nagwkowe biblioteki GEOS.

%package static
Summary:	Static GEOS library
Summary(pl):	Statyczna biblioteka GEOS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GEOS library.

%description static -l pl
Statyczna biblioteka GEOS.

%package -n python-geos
Summary:	Python bindings for Geometry Engine - Open Source
Summary(pl):	Wizania Pythona do biblioteki GEOS
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-geos
Python bindings for Geometry Engine - Open Source.

%description -n python-geos -l pl
Wizania Pythona do biblioteki GEOS.

%package -n ruby-geos
Summary:	Ruby bindings for Geometry Engine - Open Source
Summary(pl):	Wizania jzyka Ruby do biblioteki GEOS
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n ruby-geos
Ruby bindings for Geometry Engine - Open Source.

%description -n ruby-geos -l pl
Wizania jzyka Ruby do biblioteki GEOS.

%prep
%setup -q -n %{name}-%{version}%{_rc}

%build
cp -f /usr/share/automake/config.* .
%configure \
	--enable-python \
	--enable-ruby
%{__make} \
	pkglibdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkglibdir=%{_libdir}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgeos-*.*.*.so
%attr(755,root,root) %{_libdir}/libgeos_c.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/geos-config
%attr(755,root,root) %{_libdir}/libgeos.so
%attr(755,root,root) %{_libdir}/libgeos_c.so
%{_libdir}/libgeos.la
%{_libdir}/libgeos_c.la
%{_includedir}/geos
%{_includedir}/geos.h
%{_includedir}/geos_c.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libgeos.a
%{_libdir}/libgeos_c.a

%files -n python-geos
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/geos/_geos.so
%{py_sitescriptdir}/geos/geos.py[co]

%files -n ruby-geos
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_sitearchdir}/geos.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: geos.spec,v $
Revision 1.12.2.2  2007/03/12 20:55:44  hawk
- updated to 3.0.0rc4

Revision 1.12.2.1  2006/12/11 20:49:25  glen
- AC-branch

Revision 1.12  2006/12/11 19:11:34  qboosh
- updated to 2.2.3

Revision 1.11  2006/05/28 22:46:15  qboosh
- updated to 2.2.2, removed config,gcc4 patches
- updated swig patch, added ruby binding

Revision 1.10  2005/12/21 11:34:35  qboosh
- cosmetics

Revision 1.9  2005/12/21 08:51:53  radzio
- update to 2.2.1
- add patch1 for python bindings
- add subpackage python-geos

Revision 1.8  2005/12/11 00:52:16  qboosh
- updated to 2.2.0 (with new C API library)
- added gcc4 patch

Revision 1.7  2005/08/28 20:07:47  qboosh
- updated to 2.1.4

Revision 1.6  2005/07/25 06:34:29  qboosh
- updated to 2.1.3

Revision 1.5  2005/06/12 12:29:05  qboosh
- updated to 2.1.2 (bugfixes)

Revision 1.4  2005/01/16 01:41:07  qboosh
- updated to 2.1.1, updated config patch

Revision 1.3  2004/11/01 11:50:04  qboosh
- updated to 2.0.1

Revision 1.2  2004/09/24 21:51:09  paszczus
- updated to 2.0.0
- updated config.patch

Revision 1.1  2004/04/05 21:33:12  qboosh
- new
